import { layers } from "../../../module/views/layers";
import { Tools } from "../../Tools";

// 首次道具赠送
export class FirstPropGift extends FYGE.Container {
    constructor() {
        super();
        //背景图片
        var bg = this.addChild(new FYGE.Shape)
        bg.beginFill(0x000000, 0.7)
        bg.drawRect(0, 0, 750, layers.stageHeight)
        bg.endFill();
        bg.hitTestByPixel = false;
        //信息板
        var msgBoard = this.addChild(Tools.getSprite('propGuideBoard.png'));
        msgBoard.position.set((750 - 604) / 2, 440);
        // msgBoard.msg = "首次进入游戏，送你三个道具，让你通关无阻力！";
        // //三个道具
        // ["stepBtn", "boomBtn", "hammerBtn"].forEach((e, i) => {
        //     this.addChild(FYGE.Sprite.fromFrame(e + ".png"))
        //         .position.set(100 + i * 230, 500)
        // })
    }
}
